<template>
  <v-dialog max-width="500">
    <v-card title="Dialog">
      <v-card-text>
        <checklist-form
          @SUBMIT="(newChecklist) => {
            $emit('CREATE', newChecklist)}"
          @CANCEL=" $emit('CANCEL')"
        >
        </checklist-form>
      </v-card-text>
    </v-card>
  </v-dialog>
</template>

<script>
import ChecklistForm from '@/components/checklist/checklist-form.vue'

export default {
  components: { ChecklistForm },
  props: {
    active: {
      type: Boolean,
      default: false
    }
  }
}
</script>